slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPNLEIGSSetInterpolation

Sets the tolerance and maximum degree when building the interpolation via divided differences.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPNLEIGSSetInterpolation(NEP nep,PetscReal tol,PetscInt degree)

Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| tol | - tolerance to stop computing divided differences
| degree | - maximum degree of interpolation

### Options Database Key

| -nep_nleigs_interpolation_tol <tol> | - Sets the tolerance to stop computing divided differences
| -nep_nleigs_interpolation_degree <degree> | - Sets the maximum degree of interpolation

### Notes

Use PETSC_DEFAULT for either argument to assign a reasonably good value.

### See Also

NEPNLEIGSGetInterpolation()

### Level

advanced

### Location

src/nep/impls/nleigs/nleigs.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages